subtractBottomVelocity {oce} | R Documentation

## Subtract Bottom Velocity from ADP

### Description

Subtracts bottom tracking velocities from an `"adp"` object. Works for all coordinate systems (`beam`, `xyz`, and `enu`).

### Usage

    subtractBottomVelocity(x, debug = getOption("oceDebug"))

### Arguments

`x` | an object of class `"adp"`, which contains bottom tracking velocities.

`debug`

an integer specifying whether debugging information is to be printed during the processing. This is a general parameter that is used by many `oce` functions. Generally, setting `debug=0` turns off the printing, while higher values suggest that more information be printed. If one function calls another, it usually reduces the value of `debug` first, so that a user can often obtain deeper debugging by specifying higher `debug` values.

### Author(s)

Dan Kelley and Clark Richards

### See Also

See `read.adp` for notes on functions relating to `"adp"` objects, and `adp-class` for notes on the ADP object class.

[Package oce version 0.9-22 Index]